Bug 4719 - globus runs /usr/bin/env without checking for \u
: globus runs /usr/bin/env without checking for \u
Status: RESOLVED WONTFIX
: GRAM
wsrf managed execution job service
: 4.0.3
: All All
: P3 major
: 4.2.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-09-20 15:11 by
Modified: 2012-09-05 11:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-20 15:11:56
example:

# export PS1='\u@\h:\w> '
globus@devstore:/usr/local/globus-4.0.3/setup/globus> ./setup-gram-service-fork
Running ./setup-gram-service-fork
Unable to update map filejava.lang.IllegalArgumentException: Malformed \uxxxx
encoding.
java.lang.IllegalArgumentException: Malformed \uxxxx encoding.
        at java.util.Properties.loadConvert(Properties.java:531)
        at java.util.Properties.load(Properties.java:370)
        at
org.globus.exec.service.exec.utils.FileMappingConfig.loadEnvironment(FileMappingConfig.java:207)
        at
org.globus.exec.service.exec.utils.FileMappingConfig.main(FileMappingConfig.java:234)

line 234 in
gt4.0.3-all-source-installer/source-trees/ws-gram/service/java/source/src/org/globus/exec/service/exec/utils/FileMappingConfig.java
is "loadEnvironment();" and loadEnvironment runs /usr/bin/env without checking
whether it returns environment variables that contain "\u...", which
unfortunately is very common, cf. the PS1 example above. I expect this bug to
appear in all java components that run /usr/bin/env, not just in gram.
------- Comment #1 From 2006-09-20 20:36:10 -------
(In reply to comment #0)
After searching through the code this appears to be less serious than I first
thought:
FileMappingConfig.java (and its sibling in source-trees-thr) appears to be the
only file that runs /usr/bin/env. If FileMappingConfig.java is run only at
setup time, i.e., is never run by a regular user, then one can work around the
bug by first changing those environment variables that contain \u (and possibly
other escape sequences). Nevertheless this ought to be fixed.
------- Comment #2 From 2007-09-19 11:38:02 -------
Reassigning to current GRAM developer to close/fix as appropriate.
------- Comment #3 From 2012-09-05 11:43:17 -------
Doing some bugzilla cleanup...  Resolving old GRAM3 and GRAM4 issues that are
no longer relevant since we've moved on to GRAM5.  Also, we're now tracking
issue in jira.  Any new issues should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363